Summary:            TU TISS Plugin for ldapusermgmt
Name:               ldapusermgmt-plugin-tu-tiss
Version:            0.2
Release:            1
URL:     https://git.inf2.tuwien.ac.at/inf2/priv/sw/ldapusermgmt-plugin-tu-tiss
Source0:            %{name}-%{version}.tar.xz
License:            GPL
BuildArchitectures: noarch

Requires:           bash-base >= 0.6.3
Requires:           curl
Requires:           jq

Obsoletes:          ldapusermgmt-resolver-tiss < 3

%description
An LDAP User Management plugin that resolves users from TU TISS.
Only useful inside the TU Wien.

%prep
%setup -q

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libexecdir}/ldapusermgmt/plugins.d/
cp -a libexec/*.bash %{buildroot}%{_libexecdir}/ldapusermgmt/plugins.d/

%clean
rm -rf %{buildroot}

%files
%attr(0644,-,-) %{_libexecdir}/ldapusermgmt/plugins.d/*.bash
%doc doc/*
